package com.ruoyi.project.configuration.service;

import com.ruoyi.project.configuration.domain.TMatter;

import java.util.List;

/**
 * 危害物质数据关联Service接口
 *
 * @author ruoyi
 * @date 2021-12-28
 */
public interface ITMatterService {
    /**
     * 查询危害物质数据关联
     *
     * @param id 危害物质数据关联ID
     * @return 危害物质数据关联
     */
    public TMatter selectTMatterById(Long id);

    /**
     * 查询危害物质数据关联列表
     *
     * @param tMatter 危害物质数据关联
     * @return 危害物质数据关联集合
     */
    public List<TMatter> selectTMatterList(TMatter tMatter);

    /**
     * 新增危害物质数据关联
     *
     * @param tMatter 危害物质数据关联
     * @return 结果
     */
    public int insertTMatter(TMatter tMatter);

    /**
     * 修改危害物质数据关联
     *
     * @param tMatter 危害物质数据关联
     * @return 结果
     */
    public int updateTMatter(TMatter tMatter);

    /**
     * 批量删除危害物质数据关联
     *
     * @param ids 需要删除的危害物质数据关联ID
     * @return 结果
     */
    public int deleteTMatterByIds(Long[] ids);

    /**
     * 删除危害物质数据关联信息
     *
     * @param id 危害物质数据关联ID
     * @return 结果
     */
    public int deleteTMatterById(Long id);
}
